Subject: Re: [nvo3] [tsvwg] I-D Action: draft-xia-nvo3-vxlan-qosmarking-01.txt

From: "Black, David" <[email-masked]>
Date: Tue, 11 Nov 2014 03:36:56 +0000

I said effectively the same thing at the mike in the nvo3 meeting - this draft is not using diffserv - it's inventing something new, and that's a bad idea.

Thanks, --David +++Sent from Blackberry

----- Original Message -----
From: Brian E Carpenter [mailto:[email-masked]]
Sent: Monday, November 10, 2014 10:26 PM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [tsvwg] I-D Action: draft-xia-nvo3-vxlan-qosmarking-01.txt

Hi,

>  The first three bits (bits 5-7) are precedence bits. They are	
>  assigned according to [RFC0791]. Precedence values '110' and '111'	
>  are selected for routing traffic.	
> 				
>  The last three bits (bits 8-10) are class selector bits. Thet are	
>  assigned as follows:
>
> 001 - BK or background traffic
...
> As can be seen the markings are the same as in IEEE 802.1p...

This is not in any way compatible with RFC 2474, which also made the
relevant part of RFC 791 obsolete.

If you want to be compatible with RFC 2474 you should not specify the
bits at all - just say that they are exactly as defined in RFC 2474
and the various PHB definitions that have been published. If you
want to be compatible with IEEE 802.1p that is a different matter,
but you cannot mix the two up in this way.

    Brian